Hashrate IndexAPI DocumentationStocks
Get Stocks Performance
/stocks/performance has rate limitation:
Initially, the API allows for a burst of 20 requests, and afterward, it gradually restores 1 request every 15 seconds until reaching the maximum allowable limit of 20. This limitation is imposed to manage and control the rate at which requests can be made to the API, preventing potential misuse or excessive use of resources.
Stocks Performance Tracking
This endpoint reviews the performance of key stocks, focusing on price changes and volatility over various periods. It is tailored for investors looking to gauge short-term and long-term performance.
Authorization
ApiKeyAuth X-Hi-Api-Key<token>
In: header
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/stocks/performance"{ "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/StocksPerformanceData.json", "data": [ { "change1D": 0, "change1H": 0, "change1W": 0, "change1Y": 0, "change3Y": 0, "change4H": 0, "changeAll": 0, "changeYTD": 0, "companyName": "string", "slug": "string", "ticker": "string" } ]}{ "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json", "detail": "Property foo is required but is missing.", "errors": [ { "location": "string", "message": "string", "value": null } ], "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "https://example.com/errors/example"}{ "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json", "detail": "Property foo is required but is missing.", "errors": [ { "location": "string", "message": "string", "value": null } ], "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "https://example.com/errors/example"}{ "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json", "detail": "Property foo is required but is missing.", "errors": [ { "location": "string", "message": "string", "value": null } ], "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "https://example.com/errors/example"}